@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.btn{
    border-radius: 0;
}

.btn--white-outline{
    height: 80px;
    max-width: 244px;
    width: 100%;
    border: 4px solid #fff;
    color: #fff;
    background-color: rgba($color: #000000, $alpha: 0);

    @include mq.media-up(xl){
        height: 112px;
        max-width: 444px;

        &:hover{
            border-color: c.$primary-1;
            color: c.$primary-1;
        }
    }
}

.btn--dark-outline{
    height: 56px;
    width: 100%;
    border: 3px solid #000;
    color: #000;
    background-color: rgba($color: #000000, $alpha: 0);

    @include mq.media-up(sm){
        max-width: 232px;
    }

    @include mq.media-up(xl){
        &:hover{
            border-color: c.$primary-1;
            color: c.$primary-1;
        }
    }
}